# Uses of Class
org.jfree.chart3d.data.xyz.XYZItemKey

Packages that use XYZItemKey
Package
Description
org.jfree.chart3d.data.xyz
Datasets that can be used by the `XYZPlot` class.
org.jfree.chart3d.interaction
Classes that support user interaction with charts.

## Uses of XYZItemKey in org.jfree.chart3d.data.xyz

Methods in org.jfree.chart3d.data.xyz that return types with arguments of type XYZItemKey
Modifier and Type
Method
Description
`static <S extends Comparable<S>>
Collection<XYZItemKey<S>>`
XYZItemKeys.`itemKeysForSeries(XYZDataset<S> dataset, S seriesKey)`
Returns a collection of item keys extracted from one series in the specified dataset.
Methods in org.jfree.chart3d.data.xyz with parameters of type XYZItemKey
Modifier and Type
Method
Description
`int`
XYZItemKey.`compareTo(XYZItemKey<S> key)`

## Uses of XYZItemKey in org.jfree.chart3d.interaction

Methods in org.jfree.chart3d.interaction with parameters of type XYZItemKey
Modifier and Type
Method
Description
`boolean`
StandardXYZDataItemSelection.`add(XYZItemKey item)`
Adds an item to the selection, returns `true` if the item was added and `false` if it already existed in the selection.
`boolean`
StandardXYZDataItemSelection.`isSelected(XYZItemKey item)`
Returns `true` if the item is present in the selection, and `false` otherwise.
`boolean`
XYZDataItemSelection.`isSelected(XYZItemKey<S> item)`
Returns `true` if the specified item is present in the selection, and `false` otherwise.
`boolean`
StandardXYZDataItemSelection.`remove(XYZItemKey item)`
Removes an item from the selection, returning `true` if the item was removed and `false` if it was not present in the selection.
Method parameters in org.jfree.chart3d.interaction with type arguments of type XYZItemKey
Modifier and Type
Method
Description
`boolean`
StandardXYZDataItemSelection.`addAll(Collection<XYZItemKey> keys)`
Adds all the items from the specified collection, returning `true` if the selection is updated or `false` if all the supplied keys are already present in the selection.